Loading...
Searching...
No Matches
mongocxx::v1::events::server_description_changed Class Reference

`#include <mongocxx/v1/events/server_description_changed.hpp>`

## Description

ServerDescriptionChangedEvent from the SDAM Logging and Monitoring specification.

See also
  - SDAM Logging and Monitoring (MongoDB Specifications)

## Public Member Functions

bsoncxx::v1::stdx::string_view | host () const
| Return the hostname for the connection used by the command.
v1::events::server_description | new_description () const
| Return the new server description.
std::uint16_t | port () const
| Return the port number for the connection used by the command.
v1::events::server_description | previous_description () const
| Return the previous server description.
bsoncxx::v1::oid | topology_id () const
| Return the client-generated unique topology ID.

## Member Function Documentation

## host()

bsoncxx::v1::stdx::string_view mongocxx::v1::events::server_description_changed::host | ( |  | ) | const

Return the hostname for the connection used by the command.

## new_description()

v1::events::server_description mongocxx::v1::events::server_description_changed::new_description | ( |  | ) | const

Return the new server description.

## port()

std::uint16_t mongocxx::v1::events::server_description_changed::port | ( |  | ) | const

Return the port number for the connection used by the command.

## previous_description()

v1::events::server_description mongocxx::v1::events::server_description_changed::previous_description | ( |  | ) | const

Return the previous server description.

## topology_id()

bsoncxx::v1::oid mongocxx::v1::events::server_description_changed::topology_id | ( |  | ) | const

Return the client-generated unique topology ID.

The documentation for this class was generated from the following file:

- mongocxx/v1/events/server_description_changed.hpp